>From 681c5174d1e32b470c1738e03e8152f63b57cfc2 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:28:59 +0300
Subject: [carFl mem 28/65] Globalisation pass 1: sst49lfxxxc.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 sst49lfxxxc.c |   30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/sst49lfxxxc.c b/sst49lfxxxc.c
index 28f6cd0..1dc786f 100644
--- a/sst49lfxxxc.c
+++ b/sst49lfxxxc.c
@@ -23,16 +23,16 @@
 #include "flash.h"
 #include "chipdrivers.h"
 
-static int write_lockbits_block_49lfxxxc(struct flashchip *flash, unsigned long address, unsigned char bits)
+static int write_lockbits_block_49lfxxxc(globals *g, struct flashchip *flash, unsigned long address, unsigned char bits)
 {
 	unsigned long lock = flash->virtual_registers + address + 2;
-	msg_cdbg("lockbits at address=0x%08lx is 0x%01x\n", lock, chip_readb(lock));
-	chip_writeb(bits, lock);
+	msg_cdbg("lockbits at address=0x%08lx is 0x%01x\n", lock, chip_readb(g, lock));
+	chip_writeb(g, bits, lock);
 
 	return 0;
 }
 
-static int write_lockbits_49lfxxxc(struct flashchip *flash, unsigned char bits)
+static int write_lockbits_49lfxxxc(globals *g, struct flashchip *flash, unsigned char bits)
 {
 	chipaddr registers = flash->virtual_registers;
 	int i, left = flash->total_size * 1024;
@@ -40,34 +40,34 @@ static int write_lockbits_49lfxxxc(struct flashchip *flash, unsigned char bits)
 
 	msg_cdbg("\nbios=0x%08lx\n", registers);
 	for (i = 0; left > 65536; i++, left -= 65536) {
-		write_lockbits_block_49lfxxxc(flash, i * 65536, bits);
+		write_lockbits_block_49lfxxxc(g, flash, i * 65536, bits);
 	}
 	address = i * 65536;
-	write_lockbits_block_49lfxxxc(flash, address, bits);
+	write_lockbits_block_49lfxxxc(g, flash, address, bits);
 	address += 32768;
-	write_lockbits_block_49lfxxxc(flash, address, bits);
+	write_lockbits_block_49lfxxxc(g, flash, address, bits);
 	address += 8192;
-	write_lockbits_block_49lfxxxc(flash, address, bits);
+	write_lockbits_block_49lfxxxc(g, flash, address, bits);
 	address += 8192;
-	write_lockbits_block_49lfxxxc(flash, address, bits);
+	write_lockbits_block_49lfxxxc(g, flash, address, bits);
 
 	return 0;
 }
 
-int unlock_49lfxxxc(struct flashchip *flash)
+int unlock_49lfxxxc(globals *g, struct flashchip *flash)
 {
-	return write_lockbits_49lfxxxc(flash, 0);
+	return write_lockbits_49lfxxxc(g, flash, 0);
 }
 
-int erase_sector_49lfxxxc(struct flashchip *flash, unsigned int address, unsigned int sector_size)
+int erase_sector_49lfxxxc(globals *g, struct flashchip *flash, unsigned int address, unsigned int sector_size)
 {
 	uint8_t status;
 	chipaddr bios = flash->virtual_memory;
 
-	chip_writeb(0x30, bios);
-	chip_writeb(0xD0, bios + address);
+	chip_writeb(g, 0x30, bios);
+	chip_writeb(g, 0xD0, bios + address);
 
-	status = wait_82802ab(flash);
+	status = wait_82802ab(g, flash);
 	print_status_82802ab(status);
 
 	/* FIXME: Check the status register for errors. */
-- 
1.7.6

